Imagick::getImagePixelColor
Imagick::getImageProfiles
Imagick
PHP Manual

# Imagick::getImageProfile

(PECL imagick 2.0.0)

Imagick::getImageProfile — Returns the named image profile

### Description

string Imagick::getImageProfile ( string `$name` )

Returns the named image profile.

### Parameters

`name`

  The name of the profile to return.

### Return Values

Returns a string containing the image profile.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImagePixelColor
Imagick::getImageProfiles
Imagick
PHP Manual